忘记密码?

一键登录

草根吧源码论坛

Discuz! Lite应用插件模板兼容规范({FANSENC}加密特性)

查看: 505|回复: 0

Discuz! Lite应用插件模板兼容规范({FANSENC}加密特性)

[复制链接]

2820

主题

5412

热度

2432

贡献

民审

Rank: 8Rank: 8

发表于 2017-1-8 22:20:33 | 显示全部楼层 |阅读模式 | 百度  360  谷歌 
分享到:
本帖最后由 民审-M 于 2017-1-8 22:22 编辑

Discuz! Lite应用插件模板规范
最后修改:2017-01-01 版本:V1.0.0
兼容性
  • 大部分DZX应用可以在不做任何修改的情况下兼容DZL
  • 插件不兼容PHP7的必须明确说明
  • 插件不兼容HTTPS的必须明确说明
代码相关
  • 不支持依赖云平台、官方微信登录插件的应用
  • 不支持preg_replace 函数使用 /e修饰符
  • 插件安装不会生成 discuz_plugin_pluginid_*.xml文件
  • install.php、upgrade.php 支持简单加密功能,可在代码中加入{FANSENC}启用本功能,代码要规范,文件引用使用绝对链接(用DISCUZ_ROOT)
  • L版没有插件开发者模式,所以应用请通过X3.3开发
模板相关
  • L版增加了游客只允许看帖子第一页的设置,请兼容(viewthread.htm)
  • PC版header.htm、header_common.htm、footer.htm、viewthread_node.htm等做了调整,请兼容
  • L版移除漫游应用,建议模板不要出现{eval userappprompt();}、{eval helper_manyou::checkupdate();}等与漫游相关代码
  • L版移除前台安全补丁提醒,建议模板中移除相关代码
  • L版移除前台应用新版提醒,建议模板中移除相关代码
Discuz! Lite相关

帖子地址: 

本文来源于草根吧源码论坛 www.caogen8.co,欢迎大家下载。
如果您没有贡献需要充值,可以直接在线充值,点击充值
如果你需要加入本站赞助VIP会员,可以直接在线开通,点击开通
如果找不到您要的资源,请搜索一下,点击搜索
回复

举报

发表回复

高级模式
您需要登录后才可以回帖 登录 | 立即注册 新浪微博登陆 用百度帐号登录 一键登录:

本版积分规则

收藏帖子 返回列表 搜索
快速回复 返回顶部 返回列表